Bug 1385965 - [RFE]- Enable xdmcp/spice for multiple concurrent users can login via a remote spice session to a single RHEL
Summary: [RFE]- Enable xdmcp/spice for multiple concurrent users can login via a remo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: spice
Version: 7.4
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On:
Blocks: 1420851
TreeView+ depends on / blocked
 
Reported: 2016-10-17 23:54 UTC by Pawan kumar Vilayatkar
Modified: 2019-12-16 07:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-13 16:14:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pawan kumar Vilayatkar 2016-10-17 23:54:23 UTC
At this moment you can use xdmcp to configure rhel server as a remote desktop.
xdmcp is not a very bandwidth friendly application.

It improves a little when you use xvnc as described in this solution:

 >> https://access.redhat.com/solutions/2516

The quality/bandwidth ratio of a vnc desktop is rather poor compared to spice or rdp.

You could use spice or xspice but that has only one console available.
Which means that when the next person logs in he will 'steal' the console from the previous person and get full access to whatever that person was working on. This is not a desired situation.

Feature Request is :

Please adjust xdmcp/spice so that they can be used together.
ie obtain the same result as the xvnc solution from the solution article.
ie only one port listens, but multiple concurrent users can login via a remote spice session to a single rhel xdmcp/spice server.

This would really improve the remote desktop capabilities of rhel.

Comment 2 Jan Grulich 2016-10-18 08:22:14 UTC
Is this a bug report for tigervnc? Or rather for spice?

I found that this should be possible:
https://lists.freedesktop.org/archives/spice-devel/2014-December/018459.html

Comment 3 Tomas Pelka 2016-10-18 08:33:09 UTC
Just note Xspice is not supported for rhel.

Comment 10 Martin Tessun 2019-04-22 11:14:05 UTC
While I think this is a nice request, but moving to Wayland there will be no more multiple sessions anyways.

So closing wontfix.
Please re-open if you think otherwise (with some reasons on why this still makes sense).


Note You need to log in before you can comment on or make changes to this bug.